import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/inventory',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/inventory/',
    method: 'delete',
    data: ids
  })
}
export function getItemKey(text) {
  return request({
    url: 'api/itemKey/getItemKey',
    method: 'post',
    data: text
  })
}
export function devan(text) {
  return request({
    url: 'api/itemKey/devan',
    method: 'post',
    data: text
  })
}
export function devanPropC6(data) {
  return request({
    url: 'api/itemKey/devanPropC6',
    method: 'post',
    data: data
  })
}
export function devanning(data) {
  return request({
    url: 'api/itemKey/devanning',
    method: 'post',
    data: data
  })
}

export function edit(data) {
  return request({
    url: 'api/inventory',
    method: 'put',
    data
  })
}

export default { add, edit, del,getItemKey,devan, devanPropC6 }
